Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.transaction.jta
Class SimpleTransactionFactory

    java.lang.Object
      org.springframework.transaction.jta.SimpleTransactionFactory

All Implemented Interfaces:
  TransactionFactory

    public class SimpleTransactionFactory

extends Object
implements TransactionFactory

Default implementation of the `TransactionFactory` strategy interface, simply wrapping a standard JTA `TransactionManager`.

Does not support transaction names; simply ignores any specified name.

Since:
  2.5
Author:
  Juergen Hoeller
See Also:
  `TransactionManager.setTransactionTimeout(int)`, `TransactionManager.begin()`, `TransactionManager.getTransaction()`

Constructor Summary
`SimpleTransactionFactory(TransactionManager transactionManager)` Create a new SimpleTransactionFactory for the given TransactionManager

Method Summary
`Transaction` | `createTransaction(String name, int timeout)` Create an active Transaction object based on the given name and timeout.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTransactionFactory

    public SimpleTransactionFactory(TransactionManager transactionManager)

  Create a new SimpleTransactionFactory for the given TransactionManager

  Parameters:
    `transactionManager` - the JTA TransactionManager to wrap

Method Detail

### createTransaction

    public Transaction createTransaction(String name,
                                         int timeout)
                                  throws NotSupportedException,
                                         SystemException

  Description copied from interface: `TransactionFactory`
  Create an active Transaction object based on the given name and timeout.

  Specified by:
    `createTransaction` in interface `TransactionFactory`
  Parameters:
    `name` - the transaction name (may be `null`)
    `timeout` - the transaction timeout (may be -1 for the default timeout)
  Returns:
    the active Transaction object (never `null`)
  Throws:
    `NotSupportedException` - if the transaction manager does not support a transaction of the specified type
    `SystemException` - if the transaction managed failed to create the transaction

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.